package com.ibm.uia.metamodel;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
import com.ibm.uia.xml.*;
/**
 * This type was created in VisualAge.
 */
public class IntegerType extends AttributeType {
/**
 * IntegerType constructor comment.
 */
public IntegerType(MetaModel metaModel) {
	super(metaModel);
}
/**
 * create a DOM representation of the receiver using
 * the supplied document.  The Element generated should
 * be returned to the caller, and not appended to the 
 * document.  Subclasses can override this method but
 * are strongly recommended to call the superclass
 * method FIRST and decorate the returned element with their
 * specific data.
 * Note that the superclass is responsible for navigating
 * the standard tree structures, so this responsibility
 * is removed from subclass implementors
 */
protected Element generateDom(Document doc) {
	Element el = super.generateDom(doc);
	el.setAttribute(ATTRIBUTE_TYPE_MODE, INTEGER_MODE);
	return el;
}
/**
 * isIntegerType method comment.
 */
public final boolean isIntegerType() {
	return true;
}
public final boolean isValid(String str) {
	boolean valid = false;
	try {
		Integer iVal = Integer.valueOf(str);
		valid = true;
	} catch (NumberFormatException e) {
	}
	return valid;
}
}
