package com.ibm.uia.renderer;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import com.ibm.uia.renderingInterface.*;
/**
 * Insert the type's description here.
 * Creation date: (02/07/2000 09:37:24)
 * @author: Phill van Leersum
 */
public class RendererAttributeNode extends RendererNode {
	RenderableAttribute attribute;
/**
 * RendererAttributeNode constructor comment.
 * @param refreshPanel com.ibm.uia.renderer.ComponentPanel
 */
public RendererAttributeNode(RenderableAttribute attribute) {
	super();
	this.attribute = attribute;
}
private final String _displayString() {
	StringBuffer buf = new StringBuffer();
	//if (!attribute.isCommitted()) {
	//	buf.append("*");
	//}
	buf.append(attribute.getName());
	buf.append(" = ");
	buf.append(attribute.getValue());
	return buf.toString();
}
/**
 * reply the colour for rendering the text
 */
protected Color _getDisplayColour() {
	return attribute.getDisplayColour();
}
protected Image _getImage() {
	return attribute.getCaptionImage();
}
protected String _getText() {
	return _displayString();
}
final String getHintText() {
	return attribute.getHintText();
}
/**
 * getPopupMenu method comment.
 */
PopupMenu getPopupMenu(Renderer renderer) {
	return null;
}
/**
 * getSelectedMenu method comment.
 */
Menu getSelectedMenu(Renderer renderer) {
	return null;
}
}
