package com.ibm.uia.renderingInterface;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
/**
 * This interface represents the current value 
 * of an attribute.
 */
public interface RenderableAttribute extends Renderable {
public abstract String getCommittedValue();
/**
 * Reply the default value of the attribute
 */
public abstract String getDefaultValue();
public abstract java.awt.Color getDisplayColour();
/**
 * Reply the display name for the attribute
 */
public abstract String getName();
public abstract RenderableAttributeType getType();
/**
 * Reply the value of the attribute
 */
public abstract String getValue();
public abstract boolean isCommitted();
public abstract boolean isEditable();
public abstract boolean isRequired();
public abstract void setEditable(boolean editable);
/**
 * Set the value of the attribute
 */
public abstract void setValue(String val);
}
